{
  lib,
  config,
  systemConfig,
  ...
}:

{
  imports = with lib.custom; [
    (relativeToBase "modules")
    ./boot.nix
    ./hardware.nix
    ./security
  ];

  system.stateVersion = systemConfig.version;

  users = {
    mutableUsers = false;
    users.${systemConfig.username} = {
      isNormalUser = true;
      hashedPasswordFile = config.sops.secrets.password-hash.path;
      extraGroups = [ "wheel" ];
    };
  };
}
